if not exists (select * FROM sys.syscolumns where name = 'UserInfoID' AND id = object_id(N'dbo.Todo')) 
  alter table dbo.Todo ADD UserInfoID uniqueidentifier null FOREIGN KEY REFERENCES dbo.UserInfo(ID) ON DELETE CASCADE;

if not exists (select * FROM sys.syscolumns where name = 'UserInfoID' AND id = object_id(N'dbo.ConnectionLog')) 
  alter table dbo.ConnectionLog ADD UserInfoID uniqueidentifier null FOREIGN KEY REFERENCES dbo.UserInfo(ID);

if not exists (select * FROM sys.syscolumns where name = 'ManualClosedBy' AND id = object_id(N'dbo.ConnectionLog')) 
  alter table dbo.ConnectionLog ADD ManualClosedBy varchar(256) null;